# Uses of Class
org.apache.solr.client.solrj.request.UpdateRequest

Packages that use UpdateRequest
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of UpdateRequest in org.apache.solr.client.solrj.impl

Methods in org.apache.solr.client.solrj.impl that return UpdateRequest
Modifier and Type
Method
Description
`UpdateRequest`
ConcurrentUpdateBaseSolrClient.Update.`request()`
Returns the value of the `request` record component.
Methods in org.apache.solr.client.solrj.impl with parameters of type UpdateRequest
Modifier and Type
Method
Description
`protected Map<String,? extends LBSolrClient.Req>`
CloudSolrClient.`createRoutes(UpdateRequest updateRequest, ModifiableSolrParams routableParams, DocCollection col, DocRouter router, Map<String,List<String>> urlMap, String routeField)`
Constructors in org.apache.solr.client.solrj.impl with parameters of type UpdateRequest
Modifier
Constructor
Description
`protected`
`Update(UpdateRequest request, String collection)`
Creates an instance of a `Update` record class.

## Uses of UpdateRequest in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return UpdateRequest
Modifier and Type
Method
Description
`UpdateRequest`
UpdateRequest.`add(String... fields)`
`UpdateRequest`
UpdateRequest.`add(Collection<SolrInputDocument> docs)`
Add a collection of SolrInputDocuments to this request
`UpdateRequest`
UpdateRequest.`add(SolrInputDocument doc)`
Add a SolrInputDocument to this request
`UpdateRequest`
UpdateRequest.`add(SolrInputDocument doc, Boolean overwrite)`
Add a SolrInputDocument to this request
`UpdateRequest`
UpdateRequest.`add(SolrInputDocument doc, Integer commitWithin)`
Add a SolrInputDocument to this request
`UpdateRequest`
UpdateRequest.`add(SolrInputDocument doc, Integer commitWithin, Boolean overwrite)`
Add a SolrInputDocument to this request
`UpdateRequest`
UpdateRequest.`deleteById(String id)`
`UpdateRequest`
UpdateRequest.`deleteById(String id, Long version)`
`UpdateRequest`
UpdateRequest.`deleteById(String id, String route)`
`UpdateRequest`
UpdateRequest.`deleteById(String id, String route, Long version)`
`UpdateRequest`
UpdateRequest.`deleteById(List<String> ids)`
`UpdateRequest`
UpdateRequest.`deleteByQuery(String q)`
`UpdateRequest`
UpdateRequest.`setSendToLeaders(boolean sendToLeaders)`
`UpdateRequest`
JavaBinUpdateRequestCodec.`unmarshal(InputStream is, JavaBinUpdateRequestCodec.StreamingUpdateHandler handler)`
Reads a NamedList from the given InputStream, converts it into a SolrInputDocument and passes it to the given StreamingUpdateHandler
`UpdateRequest`
UpdateRequest.`withRoute(String route)`
Methods in org.apache.solr.client.solrj.request with parameters of type UpdateRequest
Modifier and Type
Method
Description
`protected boolean`
RequestWriter.`isEmpty(UpdateRequest updateRequest)`
`void`
JavaBinUpdateRequestCodec.`marshal(UpdateRequest updateRequest, OutputStream os)`
Converts an UpdateRequest to a NamedList which can be serialized to the given OutputStream in the javabin format
`void`
JavaBinUpdateRequestCodec.StreamingUpdateHandler.`update(SolrInputDocument document, UpdateRequest req, Integer commitWithin, Boolean override)`
`void`
XMLRequestWriter.`writeXML(UpdateRequest request, Writer writer)`